#####################################################################
# make SUFFIX=32


# remove main.o from OSDCOREOBJS
OSDCOREOBJS := $(OSDCOREOBJS:$(WINOBJ)/main.o=)
OSDMAIN = $(WINOBJ)/main.o
#-------------------------------------------------
# object and source roots
#-------------------------------------------------

UISRC = $(WINSRC)/ui
UIOBJ = $(WINOBJ)/ui

OBJDIRS += $(UIOBJ)

# don't create gamelist.txt
TEXTS = gamelist.txt

# remove pedantic
$(UIOBJ)/%.o: $(UISRC)/%.c
	@echo Compiling $<...
	$(CC) $(CDEFS) $(CFLAGS) -c $< -o $@


# only OS specific output files and rules
OSDOBJS += \
	$(UIOBJ)/m32main.o \
	$(UIOBJ)/m32util.o \
	$(UIOBJ)/directinput.o \
	$(UIOBJ)/dijoystick.o \
	$(UIOBJ)/directdraw.o \
	$(UIOBJ)/directories.o \
	$(UIOBJ)/audit32.o \
	$(UIOBJ)/columnedit.o \
	$(UIOBJ)/screenshot.o \
	$(UIOBJ)/treeview.o \
	$(UIOBJ)/splitters.o \
	$(UIOBJ)/bitmask.o \
	$(UIOBJ)/datamap.o \
	$(UIOBJ)/dxdecode.o \
	$(UIOBJ)/picker.o \
	$(UIOBJ)/properties.o \
	$(UIOBJ)/tabview.o \
	$(UIOBJ)/help.o \
	$(UIOBJ)/history.o \
	$(UIOBJ)/dialogs.o \
	$(UIOBJ)/options.o \
	$(UIOBJ)/optcore.o \
	$(UIOBJ)/inifile.o \
	$(UIOBJ)/layout.o \
	$(UIOBJ)/datafile.o \
	$(UIOBJ)/dirwatch.o \
	$(UIOBJ)/win32ui.o \



# add resource file
OSDOBJS += $(UIOBJ)/mame32.res

#####################################################################
# compiler

#
# Preprocessor Definitions
#

DEFS += -DWINVER=0x0400 \
	-D_WIN32_IE=0x0500 \
	-DDECL_SPEC= \
	-DZEXTERN=extern \
	-DMAME_VALIDITYCHECKS=0 \
#
#	-DSHOW_UNAVAILABLE_FOLDER


#####################################################################
# Resources

UI_RC = @windres --use-temp-file

UI_RCDEFS = -DNDEBUG -D_WIN32_IE=0x0400

UI_RCFLAGS = -O coff --include-dir $(UISRC)

$(UIOBJ)/%.res: $(UISRC)/%.rc
	@echo Compiling mame32 resources $<...
	$(UI_RC) $(UI_RCDEFS) $(UI_RCFLAGS) -o $@ -i $<

#####################################################################
# Linker

LIBS += -lkernel32 \
        -lshell32 \
        -lcomctl32 \
        -lcomdlg32 \
        -ladvapi32 \

# use -mconsole for romcmp
LDFLAGS += -mwindows

#####################################################################

